Daily operator statistics
Scope:
client
or
operator
id
required
The operators unique ID
date_from
required
The date to start the search from. Must be in YYYY-MM-DD format
date_to
required
The date to end the search at. Must be in YYYY-MM-DD format
payload
The operator stats data
date
The date for the corresponding operator statistics
avg_chat_time_sec
The operator average chat time in seconds
avg_customer_wait_time_sec
The operator average customer wait time in seconds
avg_response_time_sec
The operator average response time in seconds
chat_tranfers
The total operator chat transfers
chats_missed
The chat the operator missed
proactive_chat_requests
The total proactive chat requests
proactive_chat_requests_accepted
The total proactive chat requests accepted
total_chat_time
The total operator chat time
total_chats
The total operator chats
total_online_time
The operator total time online
utilized_on_chat
The operator chat utlization
status
The system response status. Will be ok or error
curl
example request
1
curl -H "Authorization: Bearer {{Oauth Token}}"
2
https://developer.livehelpnow.net/api/analytics/operator/{{1234}}/stats\?date_from\=2019-04-27\&date_to\=2020-04-27
example response
1
{
2
"payload": [{
3
"2019-04-29": {
4
"avg_chat_time_sec"
: 181,
5
"avg_customer_wait_time_sec"
: "00:00:03",
6
"avg_response_time_sec"
: 19,
7
"chat_tranfers"
: 0,
8
"chats_missed"
: 0,
9
"proactive_chat_requests"
: 1,
10
"proactive_chat_requests_accepted"
: 0,
11
"total_chat_time"
: "01:44:18",
12
"total_chats"
: 36,
13
"total_online_time"
: "12:54:14",
14
"utilized_on_chat"
: "13%"
15
}
16
}],
17
"status": "ok"
18
}